import * as Yup from 'yup'

export const validationSchema = Yup.object().shape({
    phoneno: Yup.string()
        .required('phone number is required'),
    patient: Yup.object().shape({    
        earlyMorning: Yup.string()
            .required('early morning is required'),
        breakfast: Yup.string()
            .required('breakfast is required'),
        midMorning: Yup.string()
            .required('mid morning is required'),
        lunch: Yup.string()
            .required('lunch is required'),            
        evening: Yup.string()
            .required('evening is required'),
        dinner: Yup.string()
            .required('dinner is required'),
        guidelines: Yup.string()
            .required('guidelines is required'),
        name: Yup.string()
            .required('name is required'),
        age: Yup.string()
            .required('age is required'),
        height: Yup.string()
            .required('height is required'),
        weight: Yup.string()
            .required('weight is required'),
        ibw: Yup.string()
            .required('ibw is required'),
        bmi: Yup.string()
            .required('bmi is required'),
        condition: Yup.string()
            .required('condition is required'),
        calories: Yup.string()
            .required('calories is required'),        
    })
})
